curl --request GET \
--url https://api.skulabs.com/warehouse/get \
--header 'Authorization: Bearer <token>'[
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"type": "<string>",
"store_id": "507f1f77bcf86cd799439011",
"is_default": true,
"address": {
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"company": "<string>",
"name": "<string>"
},
"states": [
"<string>"
]
}
]Retrieve all warehouses for the current account.
curl --request GET \
--url https://api.skulabs.com/warehouse/get \
--header 'Authorization: Bearer <token>'[
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"type": "<string>",
"store_id": "507f1f77bcf86cd799439011",
"is_default": true,
"address": {
"address": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"company": "<string>",
"name": "<string>"
},
"states": [
"<string>"
]
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query selector object for filtering results
Max results to return
50
Number of results to skip
0
Sort fields object, e.g. { "name": 1 }
Array of warehouses
Unique warehouse identifier
"507f1f77bcf86cd799439011"
Warehouse name
Warehouse type
Associated store ID
"507f1f77bcf86cd799439011"
Whether this is the default warehouse
Warehouse address
Show child attributes
State routing assignments